Subject: [Sidrops] Benjamin Kaduk's No Objection on draft-ietf-sidrops-bgpsec-algs-rfc8208-bis-04: (with COMMENT)

From: Benjamin Kaduk via Datatracker <[email-masked]>
Date: Mon, 08 Apr 2019 18:45:02 -0700

Benjamin Kaduk has entered the following ballot position for
draft-ietf-sidrops-bgpsec-algs-rfc8208-bis-04: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-sidrops-bgpsec-algs-rfc8208-bis/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Section 2.2.1

   Hash algorithms are not identified by themselves in certificates or
   BGPsec UPDATE messages.  They are represented by an OID that combines
   the hash algorithm with the digital signature algorithm as follows:

   o  The ecdsa-with-SHA256 OID [RFC5480] MUST appear in the Public-Key
      Cryptography Standards #10 (PKCS #10) signatureAlgorithm field
      [RFC2986] or in the Certificate Request Message Format (CRMF)
      POPOSigningKey algorithm field [RFC4211]; where the OID is placed
      depends on the certificate request format generated.

The first paragraph talks of "certificates" but this last sentence talks
about "certificate request"s.  Are we trying to talk about both?

Section 7

The IANA considerations are perhaps not as accurate as they could be.
For example, we could say that the BGPsec Algorithm Suite Registry was
originally created by RFC 8208 and has been updated to refer to this
document, and similarly for the P256-SHA256 codepoint.
(Just moving the references over would seem to be even more appropriate
if this document were fully Obsoleting 8208.)

Appendix A

Do we want to note that the certificates are expired but the examples
are still useful within that constraint?  (They were valid at the time
RFC 8208 was published but it seems imprudent to try to assume that the
examples would always be valid, when writing a document such as this.)

---

From: "Borchert, Oliver (Fed)" <[email-masked]>
Date: Wed, 10 Apr 2019 19:40:48 +0000

Hi Benjamin,
Regarding your comments below:

* Comment to 2.2.1
Are we trying to talk about both?

oliver: I believe so, the certificate request maps the algorithm with the OID whereas certificates and BGPsec update only reference the OID. 
            Maybe Sean has a better answer?

* Comment to Section 7:

IANA has registered a single algorithm suite
identifier for the digest algorithm SHA-256 [SHS] and for the
signature algorithm ECDSA on the P-256 curve [RFC6090] [DSS].

oliver: I added "Originally for RFC8208, " so it reads:

Originally for RFC8208,  IANA has registered a single algorithm suite
identifier for the digest algorithm SHA-256 [SHS] and for the
signature algorithm ECDSA on the P-256 curve [RFC6090] [DSS].

* Comment to Appendix A:

oliver: I added the following wording as 3rd sentence under A.2. Keys

Note: Even though the certificates below are expired, they are still useful
within the constraint of this example.

Thanks,
Oliver

-----Original Message-----
From: Benjamin Kaduk via Datatracker <[email-masked]> 
Sent: Monday, April 08, 2019 9:45 PM
To: The IESG <[email-masked]>
Cc: [email-masked]; Chris Morrow <[email-masked]>; [email-masked]; [email-masked]; [email-masked]
Subject: Benjamin Kaduk's No Objection on draft-ietf-sidrops-bgpsec-algs-rfc8208-bis-04: (with COMMENT)
Importance: High

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Please refer to https://gcc01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fiesg%2Fstatement%2Fdiscuss-criteria.html&amp;data=02%7C01%7Coliver.borchert%40nist.gov%7C0b38a8038df546710b0808d6bc8d01c8%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C636903711146734052&amp;sdata=9l9LzM53uxCn0vK%2FR5NT4vwqWJImDTHqVRz0fzgO3k4%3D&amp;reserved=0
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://gcc01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-sidrops-bgpsec-algs-rfc8208-bis%2F&amp;data=02%7C01%7Coliver.borchert%40nist.gov%7C0b38a8038df546710b0808d6bc8d01c8%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C636903711146734052&amp;sdata=idOS%2BTmG1ubvRHm11vQ3alVBUitXf59KzK1%2B1UmBqr0%3D&amp;reserved=0

Section 2.2.1

The first paragraph talks of "certificates" but this last sentence talks about "certificate request"s.  Are we trying to talk about both?

Section 7

The IANA considerations are perhaps not as accurate as they could be.
For example, we could say that the BGPsec Algorithm Suite Registry was originally created by RFC 8208 and has been updated to refer to this document, and similarly for the P256-SHA256 codepoint.
(Just moving the references over would seem to be even more appropriate if this document were fully Obsoleting 8208.)

Appendix A

Do we want to note that the certificates are expired but the examples are still useful within that constraint?  (They were valid at the time RFC 8208 was published but it seems imprudent to try to assume that the examples would always be valid, when writing a document such as this.)

---

From: Benjamin Kaduk <[email-masked]>
Date: Thu, 11 Apr 2019 14:32:02 -0500

>             Maybe Sean has a better answer?

Okay.  Maybe we want to say "certificates or certificate request" (or
similar) in a couple places, but let's see what Sean says.

> signature algorithm ECDSA on the P-256 curve [RFC6090] [DSS].

I'd suggest something like:

   [RFC8208] directed IANA to register a single algorithm suite identifier for the
   digest algorithm SHA-256 [SHS] and for the signature algorithm ECDSA
   on the P-256 curve [RFC6090] [DSS].  This identifier is still valid, and
   IANA has updated its registration to refer to this document.

But this is a non-blocking-comment, so do what you think is best.

> within the constraint of this example.

Thanks!

-Ben

---

From: "Borchert, Oliver (Fed)" <[email-masked]>
Date: Thu, 11 Apr 2019 20:42:41 +0000

I agree and applied your suggestion,

"[RFC8208] directed...."

Thanks,
Oliver

On 4/11/19, 3:32 PM, "Benjamin Kaduk" <[email-masked]> wrote:

    

    

    Thanks!
    
    -Ben
    
    > Please refer to https://gcc01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fiesg%2Fstatement%2Fdiscuss-criteria.html&amp;data=02%7C01%7Coliver.borchert%40nist.gov%7C573ba8c6cb0c400fff7a08d6beb46a08%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C636906079413116397&amp;sdata=fuC2JnJrGeQvzJt2PvS1LsJjIeDuBij%2BGqDlsciMKWw%3D&amp;reserved=0
    > https://gcc01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-sidrops-bgpsec-algs-rfc8208-bis%2F&amp;data=02%7C01%7Coliver.borchert%40nist.gov%7C573ba8c6cb0c400fff7a08d6beb46a08%7C2ab5d82fd8fa4797a93e054655c61dec%7C1%7C0%7C636906079413116397&amp;sdata=Xitmuqxy3ZadNyyLZWPWHiGMydRyyFnXiafg7qqXoPU%3D&amp;reserved=0
    > 
    > 
    >